using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace ThickTcpUiInWindow.Converter
{
    public class ThickConverter : IValueConverter
    {
        #region IValueConverter 成员

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            try
            {
                int thick = (int)value;
                if (Misc.MyBase.ISVALIDATA(thick))
                    return (thick / 100.0).ToString("F2");
                else
                    return "null";
            }
            catch
            {
                return "null";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            try
            {
                double thick = 10;
                if (double.TryParse(value as string, out thick))
                {
                    thick = Math.Round(thick*100);//因为 16.9 * 100.0 = 1689.999999999999998， 所以只能这样。
                    return (int)thick;
                }
                else
                {
                    return Misc.MyBase.NULL_VALUE;
                }
            }
            catch
            {
                return Misc.MyBase.NULL_VALUE;
            }
        }

        #endregion
    }
}
